package entities;

import ecs.components.Audio;
import ecs.components.Emitter;
import ecs.components.Explosion;
import ecs.components.Spatial;
import ecs.core.Entity;

class ExplosionEntity extends Entity {
	public function new(x, y, ?rad) {
		super('explosion');

		add(new Spatial(x, y));

		final expl = new Explosion(rad);
		add(expl);

		add(new Emitter(0.1, 10, expl.maxRadius, 3, [4, 5, 13]));
		add(new Audio('explosion'));
	}
}
